Package org.springframework.web.servlet.config.annotation

# Class CorsRegistry

java.lang.Object
org.springframework.web.servlet.config.annotation.CorsRegistry

public class CorsRegistry extends Object
Assists with the registration of global, URL pattern based `CorsConfiguration` mappings.

Since:
  4.2
Author:
  Sebastien Deleuze, Rossen Stoyanchev
See Also:
  - `CorsRegistration`

## Constructor Summary

Constructors
Constructor
Description
`CorsRegistry()`

## Method Summary

Modifier and Type
Method
Description
`CorsRegistration`
`addMapping(String pathPattern)`
Enable cross-origin request handling for the specified path pattern.
`protected Map<String,org.springframework.web.cors.CorsConfiguration>`
`getCorsConfigurations()`
Return the registered `CorsConfiguration` objects, keyed by path pattern.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### CorsRegistry

public CorsRegistry()

## Method Details

### addMapping

public CorsRegistration addMapping(String pathPattern)
Enable cross-origin request handling for the specified path pattern.

Exact path mapping URIs (such as `"/admin"`) are supported as well as Ant-style path patterns (such as `"/admin/**"`).

By default, the `CorsConfiguration` for this mapping is initialized with default values as described in `CorsConfiguration.applyPermitDefaultValues()`.

### getCorsConfigurations

protected Map<String,org.springframework.web.cors.CorsConfiguration> getCorsConfigurations()
Return the registered `CorsConfiguration` objects, keyed by path pattern.